Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 617555 - thunderbird-3.1.1-1.fc13.i686 does not start if "Enigmail" and "Mail Redirect" extensions are enabled
thunderbird-3.1.1-1.fc13.i686 does not start if "Enigmail" and "Mail Redirect...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 08:23 EDT by Joachim Backes
Modified: 2010-07-24 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-24 10:18:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f thunderbird (56.34 KB, application/x-gzip)
2010-07-23 08:32 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2010-07-23 08:23:57 EDT
Description of problem:
I have some thunderbird extensions installed:

CompactHeader 1.2.3
Ligthning 1.0b2pre
Provider for Google Calendar 0.7pre
Restart Thunderbird 1.0
Thunderbrowse 3.3.1
ViewAbout 2.0
Enigmail 1.1.2
Mail Redirect 0.7.4

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joachim Backes 2010-07-23 08:31:36 EDT
Description of problem:
I have some thunderbird extensions installed:

CompactHeader 1.2.3
Ligthning 1.0b2pre
Provider for Google Calendar 0.7pre
Restart Thunderbird 1.0
Thunderbrowse 3.3.1
ViewAbout 2.0
Enigmail 1.1.2
Mail Redirect 0.7.4

Especially if enabling Enigmail and MailRedirect in parallel, then if leaving thunderbird and trying to start again, nothing happens (no tb window appears, no error message). I have to start TB with -save-mode, and to disable Enigmail or Mail Redirect for getting TB to run again.

Version-Release number of selected component (if applicable):
thunderbird-3.1.1-1.fc13.i686

How reproducible:
See Description

Steps to Reproduce:
1.Install Enigmail and MailRedirect in TB and enable both extension
2.Restart TB
3.Exit TB and try to start again

Actual results:
No TB appears

Expected results:
running TB

Additional info: strace -f thunderbird (in attached file tb.trace.gz)
Comment 2 Joachim Backes 2010-07-23 08:32:28 EDT
Created attachment 433943 [details]
strace -f thunderbird
Comment 3 Joachim Backes 2010-07-23 08:34:49 EDT
No error found in the error console!
Comment 4 Christoph Wickert 2010-07-23 08:37:24 EDT
Reassigning to Thunderbird (was thunar-archive-plugin, most likely a typo)
Comment 5 Christoph Wickert 2010-07-24 10:00:35 EDT
How did you install enigmail? From the xpi or as rpm package? If you are using the xpi, please try to remove and reinstall it. If you are using the rpm, try the latest 1.1.2-1.fc13 update.
Comment 6 Joachim Backes 2010-07-24 10:18:47 EDT
(In reply to comment #5)
> How did you install enigmail? From the xpi or as rpm package? If you are using
> the xpi, please try to remove and reinstall it. If you are using the rpm, try
> the latest 1.1.2-1.fc13 update.    

I installed enigmail using the xpi file. Now, following your advice, I uninstalled enigmail and installed it by rpm (thunderbird-enigmail-1.1.2-1.fc13.i686). Now, I got rib from the described problem: enigmail and Mail Redirect are running in parallel.

Thank you very much for your helpful advice.

I will close the report.

Note You need to log in before you can comment on or make changes to this bug.